> ## Documentation Index
> Fetch the complete documentation index at: https://docs.doshi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get user details by partnerUserId. Only returns a subset of user fields.



## OpenAPI

````yaml /client.json get /client/user/{partnerUserId}
openapi: 3.0.0
info:
  title: Doshi Client API
  version: 1.0.0
  description: API specification for Doshi client-facing services.
servers:
  - url: https://api.doshi.app
    description: Production server
  - url: https://sandbox.api.doshi.app
    description: Sandbox server
security:
  - BearerAuth: []
tags:
  - name: Academy
    description: Endpoints related to educational content like courses, lessons, and paths.
  - name: Auth
    description: Endpoints for user authentication and authorization.
  - name: Marketplace
    description: Endpoints for rewards and redemptions.
  - name: User
    description: Endpoints for user data.
  - name: Quests
    description: Endpoints for quest management.
paths:
  /client/user/{partnerUserId}:
    get:
      tags:
        - User
      summary: Get User
      description: Get user details by partnerUserId. Only returns a subset of user fields.
      parameters:
        - $ref: '#/components/parameters/AccessTypeHeader'
        - name: partnerUserId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User details fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserResponse'
        '404':
          description: >-
            User not found. If the error 404 occurs, meaning it's a new user. If
            the user does not exist, it's a new user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    AccessTypeHeader:
      name: Access-Type
      in: header
      required: true
      schema:
        type: string
        enum:
          - client
      description: Must be set to 'client' for all API requests
  schemas:
    GetUserResponse:
      type: object
      properties:
        partnerUserId:
          type: string
        firstName:
          type: string
          nullable: true
        contentScopes:
          type: array
          items:
            type: string
            enum:
              - public
              - internal
              - hidden
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - partnerUserId
        - firstName
        - contentScopes
        - createdAt
        - updatedAt
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
        - message
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication token (API Key) provided by Doshi. Your server's IP
        address must be whitelisted to use this API. Contact hello@doshi.app to
        whitelist your IPs.

````